import { Completion, CompletionSource } from "@codemirror/autocomplete";
import { type SQLDialect } from "./sql";
export declare function completeFromSchema(schema: {
    [table: string]: readonly (string | Completion)[];
}, tables?: readonly Completion[], schemas?: readonly Completion[], defaultTableName?: string, defaultSchemaName?: string, dialect?: SQLDialect): CompletionSource;
export declare function completeKeywords(keywords: {
    [name: string]: number;
}, upperCase: boolean): CompletionSource;
